# Graphene Help

BitShares 2.0 is a Financial Smart Contracts platform that is based on the
[Graphene](https://github.com/cryptonomex/graphene) technology built by
[Cryptonomex](http://cryptonomex.com). You can see Graphene as a toolkit or
technology for real-time blockchains.

This help section gives a brief overview and describes the most basic concepts
of this application.

## Introduction 
 * [BitShares](introduction/bitshares.md)
 * [Wallet](introduction/wallets.md)
 * [Backups](introduction/backups.md)
 * [Blockchain](introduction/blockchain.md)
 * [Witnesses](introduction/witness.md)
 * [Workers](introduction/workers.md)
 * [Committe Members](introduction/committee.md)

## Accounts
 * [Introduction](accounts/general.md)
 * [Permissions](accounts/permissions.md)
 * [Memberships](accounts/membership.md)

## Assets
 * [Market Pegged Assets](assets/mpa.md) (BitUSD, BitEUR, BitGOLD, Bit\*,...)
 * [User Issued Assets](assets/uia.md)
 * [Privatized BitAssets](assets/privbitassets.md)

## Decentralized Exchange
 * [Introduction](dex/introduction.md)
 * [Trading](dex/trading.md)
 * [Short Selling BitAssets](dex/shorting.md)

----------
[Glossary](glossary.md)
