module.exports = {
    languages: {
        en: "English",
        cn: "简体中文",
        fr: "Français",
        ko: "한국어",
        de: "Deutsch",
        es: "Español",
        tr: "Turkish"
    },
    header: {
        title: "Graphene",
        dashboard: "Accueil",
        explorer: "Explorer",
        exchange: "Échange",
        payments: "Paiments",
        logout: "Déconnexion",
        settings: "Options",
        current: "Mon Compte",
        create_account: "Créér un compte",
        create_asset: "Créér un actif",
        lock: "Vérouiller",
        unlock: "Dévérouiller"
    },
    account: {
        asset: "Actif",
        market_value: "Valeur",
        hour_24: "24hrs",
        recent: "Activité recent",
        name: "Nom du compte",
        more: "voir plus",
        member: {
            stats: "Stats membre",
            join: "Inscription",
            reg: "Enregistré par",
            ref: "Recruté par",
            ref_percentage: "Pourcentage de frais pour le recruteur",
            network_percentage: "Pourcentage de frais pour le reseau",
            fees_paid: "Frais payé",
            fees_pending: "Frais en attente",
            fees_vested: "Frais en attente bloqué",
            in_orders: "Total de %(core_asset)s en ordres",
            referrals: "Recrutements",
            rewards: "Gains totaux",
            cashback: "Gagné",
            vested: "Bloqué",
            unknown: "Inconnu",
            lifetime: "Membre à vie",
            basic: "Membre basique",
            annual: "Abonné annuel"
        },
        user_issued_assets: {
            symbol: "Symbol",
            name: "Asset Name",
            description: "Description",
            max_supply: "Maximum supply",
            precision: "Precision",
            to: "Issue to account",
            details: "Details"
        },
        connections: {
            known: "Connu par",
            black: "Blacklisté par"
        },
        perm: {
            active: "Permissions actifs",
            owner: "Permissions des proprietaires",
            memo_key: "Cléf mémo",
            publish: "Publier les changements",
            reset: "Annuler les changements",
            add: "Rajouter une permission",
            type: "Type",
            key: "Cléf/Nom",
            weight: "Poids",
            threshold: "Limite",
            confirm_add: "Rajouter",
            cancel: "Annuler",
            warning1: "Active permissions weights total of %(weights_total)s should be equal or exceed threshold of %(threshold)s",
            warning2: "Owner permissions weights total of %(weights_total)s should be equal or exceed threshold of %(threshold)s",
            warning3: "Account is already in the list",
            warning4: "Key is already in the list",
            action: "Action",
            acct_or_key:" Account/Key"
        },
        votes: {
            proxy: "Proxy Voting Account",
            name: "Nom",
            info: "Info",
            support: "Support",
            workers: "Ouvriers",
            no_proxy: "No Proxy",
            votes: "Votes",
            url: "Webpage",
            publish: "Publish Changes",
            add_witness: "Add",
            remove_witness: "Remove",
            remove_committee: "Remove",
            add_committee: "Add",
            add_committee_label: "Committee Member",
            add_witness_label: "Witness"
        },
        options: {
            num_witnesses: "Desired Witnesses",
            num_committee: "Desired Committee Members",
            memo_key: "Memo Key"
        },
        upgrade: "Mettre à niveau",
        unfollow: "Unfollow",
        follow: "Follow",
        pay: "Payer",
        overview: "Sommaire",
        history: "Historique",
        payees: "Payees",
        permissions: "Permissions",
        voting: "Votes",
        orders: "Ordres",
        select_placeholder: "Selectionnez un compte..",
        errors: {
            not_found: "Le compte %(name)s n'existe pas, veuillez vérifier le nom",
            invalid: "Compte non valable",
            unknown: "Compte inconnu",
            not_yours: "Pas votre compte"
        },
        settle: "Settle"
    },
    transfer: {
        from: "De",
        amount: "Montant",
        to: "À",
        memo: "Message",
        fee: "Frais",
        send: "Envoyer",
        final: "Soldes finaux",
        balances: "Soldes",
        available: "Disponible",
        errors: {
            req: "Champ obligatoire",
            pos: "Le montant doit étre positif",
            valid: "Veuillez rentrer un chiffre positif",
            balance: "Le solde final doit être superieur à 0",
            insufficient: "Insufficient Balance"
        },
        back: "REVENIR",
        confirm: "CONFIRMER",
        broadcast: "Votre transfert a bien été diffusé au reseau",
        again: "FAIRE UN AUTRE TRANSFERT",
        see: "VOIRE MES TRANSFERTS",
        close: "Fermer"
    },
    operation: {
        pending: "%(blocks)s avant confirmation",
        no_recent: "Aucune transaction récente",
        reg_account: "{registrar} a créé le compte {new_account}",
        transfer: "{from} a envoyé {amount} à {to}",
        pending: "pending %(blocks)s blocks",
        proposal_create: "{account} a créé une transaction proposée",
        proposal_update: "{account} a mis à jour une transaction proposée",
        proposal_delete: "{account} a supprimé une transaction proposée",
        fill_order: "{account} a acheté {received} au prix de {price}",
        vesting_balance_withdraw: "{account} a retiré {amount} d'un solde bloqué",
        balance_claim: "{account} a recuperé un solde de {amount}",
        publish_feed: "{account} a publié un nouveau flux de {price}",
        set_proxy: "{account} a choisi {proxy} pour son nouveau proxy",
        update_account: "{account} a mis à jour les donnéees de son compte",
        limit_order_sell: "{account} a placé un ordre pour vendre {amount} au prix de {price}",
        limit_order_buy: "{account} a placé un ordre pour acheter {amount} au prix de {price}",
        call_order_update: "{account} a modifié sa debt de {debtSymbol} par {debt} et le collateral par {collateral}",
        asset_reserve: "{account} a détruit {amount}",
        asset_issue: "{account} à assigné {amount} à {to}",
        asset_create: "{account} a crée l'actif {asset}",
        asset_update: "{account} a mis à jour l'actif {asset}",
        lifetime_upgrade_account: "{account} a été converti en membre à vie",
        annual_upgrade_account: "{account} a été converti en membre annuel",
        unlisted_by: "{lister} a délisté le compte {listee}",
        whitelisted_by: "{lister} a whitelisté {listee}",
        blacklisted_by: "{lister} a blacklisté {listee}"
    },
    transaction: {
        confirm: "Veuillez confirmer la transaction",
        broadcast_success: "La transaction a été diffusée",
        transaction_confirmed: "Transaction confirmed",
        broadcast_fail: "La diffusion de la transaction a échoué: %(message)s",
        broadcasting: "Diffusion de la transaction en cours..",
        broadcasting_short: "Diffusion en cours..",
        sent: "A envoyé",
        to: "à",
        received: "A reçu",
        from: "de",
        amount_sell: "Montant à vendre",
        expiration: "Expiration",
        fill_or: "Fill or kill",
        min_receive: "Montant minimum à recevoir",
        seller: "Vendeur",
        collateral: "Collateral",
        coll_ratio: "Ratio de collateral initiale",
        coll_maint: "Ratio de Collateral de maintenance",
        create_key: "A créé une cléf public",
        limit_order_cancel: "Annulation de l'ordre à limite avec id",
        short_order: "A placé un ordre à découvert pour vendre",
        at: "à",
        coll_of: "avec collateral de",
        upgrade_account: "A mis à niveau le compte",
        transfer_account: "A transferé le compte",
        update_feed_producers: "A mis à jour les fornisseurs de flux de l'actif",
        feed_producer: "Est devenu un fornisseur de flux pour l'actif",
        was_issued: "A été assigné",
        by: "par",
        burn_asset: "A détruit",
        fund_pool: "A financé un pot de frais avec",
        asset_settle: "Requested settlement of",
        asset_global_settle: "Requested global settlement of",
        committee_member_create: "A créé le délégué",
        witness_create: "A créé le témoin",
        witness_pay: "A retiré",
        withdraw_permission_create: "A donné une permission de retrait du compte",
        withdraw_permission_update: "A mis à jour les permissions de retrait du compte",
        withdraw_permission_claim: "A pris les permissions de retrait du compte",
        withdraw_permission_delete: "A supprimé les permissions de retrait du compte",
        paid: "A payé",
        obtain: "pour obtenir",
        global_parameters_update: "A mis à jour les parametres globaux",
        file_write: "A écrit un fichier",
        vesting_balance_create: "a créé un solde bloqué pour",
        for: "pour",
        bond_create_offer: "A créé une offre d'obligation",
        bond_cancel_offer: "A annulé l'offre d'obligation",
        bond_accept_offer: "A accepté l'offre d'obligation pour",
        bond_claim_collateral: "A récuperé un collateral de",
        bond_pay_collateral: "A payé un collateral de",
        create_worker: "A créé un ouvrier avec un salaire de",
        custom: "A créé une operation spéciale",
        order_id: "ID de l'ordre",
        balance_owner: "Clèf du solde",
        balance_id: "ID du solde",
        deposit_to: "Versé sur le compte",
        claimed: "Total recuperé",
        trxTypes: {
            transfer: "Transfert",
            limit_order_create: "Ordre à limite",
            limit_order_cancel: "Annulation d'ordre à limite",
            call_order_update: "Mise à jour d'ordre à découvert",
            account_create: "Création de compte",
            account_update: "Mise à jour de compte",
            account_whitelist: "Whiteliste de compte",
            account_upgrade: "Mise à niveau de compte",
            account_transfer: "Transfert de compte",
            asset_create: "Creation d'actif",
            asset_update: "Mise à jour d'actif",
            asset_update_bitasset: "Mise à jour d'actif de marché",
            asset_update_feed_producers: "Mise à jour des flux",
            asset_issue: "Assigner un actif",
            asset_reserve: "Destruction d'actif",
            asset_fund_fee_pool: "Financement de pot de frais",
            asset_settle: "Couvrement d'actif",
            asset_global_settle: "Couvrement global d'actif",
            asset_publish_feed: "Publication de flux",
            committee_member_create: "Création de délégué",
            witness_create: "Création de témoin",
            witness_withdraw_pay: "Retrait de salaire de témoin",
            proposal_create: "Création d'une proposition",
            proposal_update: "Mise à jour d'une proposition",
            proposal_delete: "Suppresion d'une proposition",
            withdraw_permission_create: "Accord de permission de retrait",
            withdraw_permission_update: "Mise à jour de permission de retrait",
            withdraw_permission_claim: "Prise de permissions de retrait",
            withdraw_permission_delete: "Suppresion des permissions de retrait",
            fill_order: "Execution d'ordre",
            committee_member_update_global_parameters: "Mise à jour des parametres globaux",
            vesting_balance_create: "Création de solde bloqué",
            vesting_balance_withdraw: "Retrait de solde bloqué",
            worker_create: "Création d'ouvrier",
            custom: "Spécial",
            assert: "Assert operation",
            balance_claim: "Récuperation de solde",
            override_transfer: "Forcing de transfert"
        }
    },
    explorer: {
        accounts: {
            title: "Comptes"
        },
        blocks: {
            title: "Blockchain",
            globals: "Parametres globaux",
            recent: "Blocs recent"
        },
        block: {
            title: "Bloc",
            id: "ID du bloc",
            witness: "Témoin",
            count: "Nombre de transactions",
            date: "Date",
            previous: "Précédent",
            previous_secret: "Précédent secret",
            next_secret: "Prochain hash secret",
            op: "Operation",
            trx: "Transaction",
            op_type: "Type d'operation",
            fee_payer: "Compte payant le frai",
            key: "Cléf public",
            transactions: "Nombre de transactions",
            account_upgrade: "Compte à mettre à niveau",
            lifetime: "Devenir membre à vie",
            authorizing_account: "Compte donnant l'autorisation",
            listed_account: "Compte etant autorisé",
            new_listing: "Nouvel autorisation",
            asset_update: "Actif à mettre à jour",
            common_options: "Options",
            new_options: "Nouvelles options",
            new_producers: "Nouveaux fornisseurs de flux",
            asset_issue: "Montant à créer",
            max_margin_period_sec: "Periode max de marge (s)",
            call_limit: "Limite de couverture",
            short_limit: "Limite de short",
            settlement_price: "Prix de règlement"
        },
        assets: {
            title: "Actifs",
            market: "SmartCoins",
            user: "Actifs des utilisateurs",
            symbol: "Symbol",
            id: "ID",
            issuer: "Créateur",
            precision: "Précision"
        },
        asset: {
            title: "Actif",
            not_found: "L'actif %(name)s n'existe pas"
        },
        witnesses: {
            title: "Témoins"
        },
        committee_members: {
            title: "Délégués"
        },
        committee_member: {
            title: "CommitteeMember"
        },
        workers: {
            title: "Ouvriers"
        },
        proposals: {
            title: "Propositions"
        },
        account: {
            title: "Compte"
        }
    },
    settings: {
        inverseMarket: "Orientation préféré pour les marchés",
        unit: "Unité de valeur préféré",
        confirmMarketOrder: "Demander une confirmation pour des ordres du marché",
        locale: "Changer de langue",
        confirm_yes: "Toujours",
        confirm_no: "Jamais",
        always_confirm: "Toujours demander une confirmation"
    },
    footer: {
        title: "Graphene",
        block: "Bloc courant"
    },
    exchange: {
        price_history: "Historique du prix",
        order_depth: "Carnet d'ordres",
        market_history: "Historique du marché",
        balance: "Solde",
        lowest_ask: "Offre le plus bas",
        highest_bid: "Demande le plus haut",
        total: "Total",
        value: "Valeur",
        price: "Prix",
        latest: "Dernier Prix",
        call: "Prix de flux",
        volume: "Volume",
        spread: "Spread",
        quantity: "Quantité",
        buy: "Acheter",
        sell: "Vendre",
        confirm_buy: "Confirmation d'ordre: Acheter %(buy_amount)s %(buy_symbol)s au prix de %(price_amount)s %(price_symbol)s",
        confirm_sell: "Confirmation d'ordre: Vendre %(sell_amount)s %(sell_symbol)s au prix de %(price_amount)s %(price_symbol)s"
    },
    markets: {
        choose_base: "Selectionner l'actif de base",
        filter: "Filtrer",
        core_rate: "Taux de base",
        supply: "Réserve",
        search: "Chercher"
    },
    wallet: {
        title: "Portefeuille",
        confirm: "Confirmer le mot de passe",
        password: "Mot de passe"
    },
    refcode: {
        claim: "Claim",
        claim_refcode: "Claim Referral Code",
        refcode_optional: "Referral Code (optional)",
        enter_refcode: "Enter referral code"
    },
    gateway: {
        bridge: "Bridge",
        gateway: "Gateway",
        symbol: "Symbol",
        deposit_to: "Deposit To",
        balance: "Balance",
        generate: "Generate",
        deposit: "Deposit",
        withdraw: "Withdraw",
        inventory: "Inventory",
        scan_qr: "Scan QR",
        transwiser: {
            gateway: "Transwiser",
            visit_weidian: "Click to deposit",
            deposit_title: "Deposit RMB to %(asset)s",
            withdraw_title: "Withdraw %(asset)s to RMB",
            alipay: "ALIPAY Account Name",
            withdraw_note: "Currently only ALIPAY withdraw is supported.  Your asset will be converted at 1:1 ratio and send RMB to your ALIPAY account.",
            you_will_receive: "You will receive %(amount)s RMB"
        },
        meta: {
            open_website: "Open Website"
        }
    }
};
